Package org.gradle.tooling.model

# Interface GradleTask

All Superinterfaces:
  `Launchable`, `ProjectModel`, `Task`

public interface GradleTask extends Task
Represents a task which is executable by Gradle.

Since:
  1.0-milestone-5

## Method Summary

Modifier and Type
Method
Description
`GradleProject`
`getProject()`
Returns the Gradle project this task is defined in.

### Methods inherited from interface org.gradle.tooling.model.Launchable

`getDisplayName, getProjectIdentifier, isPublic`

### Methods inherited from interface org.gradle.tooling.model.Task

`getDescription, getGroup, getName, getPath`

## Method Details

### getProject

GradleProject getProject()
Returns the Gradle project this task is defined in.

Returns:
  The element.
Since:
  1.0-milestone-5